function mode = whatmode (a)

%WHATMODE  used by touch functions to determine data analysis mode
%
%Last modified: 11 Oct 04

if ~isstring (a), error ('bad argument list'); end
switch lower(a)
   case 'all'
      mode = 0;
   case 'down'
      mode = 1;
   case 'up'
      mode = 2;
   case 'mean'
      mode = 3;
   otherwise
      error ([mode ' is an invalide MODE']);
end
