function retval = uimenucheck (handle)

%UIMENUCHECK(H) where H is the handle to a uimenu entry, toggles its check
%               state and returns new state 
%
%Last modified

if ~strcmp (get (handle, 'type'), 'uimenu')
	error ('handle to uimenu object required');
end
che = get (handle, 'checked');
if strcmp (che, 'on')
	set (handle, 'checked', 'off')
	retval = false;
else
	set (handle, 'checked', 'on');
	retval = true;
end
