function s = loadobj(s)

%Last modified: 18 Feb 06

if isa (s, 'spix'), return, end

% the following code will only be run if the object to
% be loaded is older than the current class version

v = s.version;

% this number should be changed when the class version is updated
s.version = 3;
disp (['updating @spix object v.' num2str(v) ' to v.' num2str(s.version)]);

% add here new fields
if v < 2
    s.latency = [];
end
if v < 3
    s.prefs = [];
    s.user  = [];
end

s = class (s, 'spix');