function rv = NOTkey (k)

%NOTkey(K)
%   returns a warning string if K is not a @key object;
%   use it to perform argument checking in your scripts:
%   >> error(NOTkey(K))
%
%Last modified: 28 Feb 06

rv = [];
if ~isa(k, 'key')
	rv = 'argument KEY should be a @key object';
end