function rv = info (as)

%@FACTS/INFO   returns information about an @facts object
%
%Last modified: 21 Mar 06

fa = {' '; 'Factors:'; '-----------'};
le = {' '; 'Levels:';   '-----------'};
if nargout

else
	disp ('####################################');
	disp (['This is a ' num2str(as.N) '-factor @facts object;']);
	disp ('####################################');
	for i=1:as.N
		fa = [fa; as.F{i}];
		l = as.L{i};
		if isempty (l)
			le = [le; 'None'];
		else
			le = [le; l{1}];
			for jo=2:length(l)
				le = [le; l{jo}];
				fa = [fa; ' '];
			end
		end
	end
	fa = [fa; ' '];
	le = [le; ' '];
	sp = repmat ('  ', length (fa), 1);
	fc = char (fa);
	lc = char (le);
	disp ([fc sp lc]);
	disp ([num2str(length(as.D)) ' observations have been added so far.']);
	disp ' '
end

le = {};
lev = {};
clear lc;
lc(1:as.N) = 1;
while lc(1) <= length(as.L{1})
	for f = 1:as.N
		le{f} = as.L{f}{lc(f)};
	end
	lev = [lev; le];
	r = as.N;
	while r>0
		lc(r) = lc(r)+1;
		if lc(r) <= length (as.L{r}), break; end
		if r>1, lc(r) = 1; end
		r = r-1;
	end
end

sp = repmat ('  ', size(lev,1), 1);
s = [];
for i=1:as.N
	t = lev(:,i);
	tc = char (t);
	s = [s sp tc];
end
ct = descriptive (as);
co = permute (ct, [as.N:-1:1]);
s = [s sp num2str(co(:),'%4d')];
disp (s)