function f = subsasgn (f, s, b)

% @facts/subsasgn.m
%
% Subscript handling routine for @facts class.
% The user of the class does not need to know how it works.
%
% Last modified: 05 Mar 06

switch length (s)
	case 1
		if s.type == '.'
			switch s.subs
				case 'verbose'
					f = verbose (f, b);
				otherwise
					error ('bad syntax');
			end
		else
			error ('bad syntax');
		end
	case 2
		if s(1).type == '.' & s(2).type == '()'
			switch s(1).subs
				case 'addata'
					f = addata (f, s(2).subs{:}, b);
				otherwise
					error ('bad syntax');
			end
		end
	otherwise
		error ('bad syntax');
end
