function l = subsasgn (l, s, b)

% Subscript handling routine for @loop class
%
% Last modified: 12 Oct 98

if length (s) ~= 1 | s.type ~= '.'
   error ('dot only');
end

switch s.subs
case 'shift'
   l.index = mod (b + l.index - 1, l.len) + 1;
case 'set'
   l.index = mod (b-1, l.len) + 1;
otherwise
   error ('wrong syntax');
end

