function a = subsref (l, s)

% Subscript handling routine for @loop class 
% Last modified: 11 Oct 98

if length (s) == 1 & s.type == '.'
   
   switch s.subs
   case 'index'
      a = l.index;
   case 'value'
      a = l.vector (l.index);
   case 'len'
      a = l.len;
   otherwise
      error ('field does not exist');
   end
   
elseif length (s) == 2 & s(1).type == '.' & s(2).type == '()'
   
   idx = mod (s(2).subs{1} + l.index - 1, l.len) + 1;
   
   switch s(1).subs
   case 'index'
      a = idx;
   case 'value'
      a = l.vector (idx);
   otherwise
      error ('field does not exist');
   end
   
else
   error ('wrong syntax')
end   