function rv = NOTnumvector (s, ar)

%NOTnumvector(V)
%   returns a warning string if K is not a 1-D numeric vector;
%   use it to perform argument checking in your scripts:
%   >> error(NOTnumvector(V))
%
%   NOTnumvector(V,ARG) the string ARG is inserted into the returned string. 
%
%Last modified: 01 Mar 06

if nargin==1, ar = ''; end
rv = [];
if ~isnumvector(s)
	rv = ['argument ' ar ' should be a numeric vector'];
end
