function rv = NOTstring (s, ar)

%NOTstring(S)
%   returns a warning string if S is not a character string;
%   use it to perform argument checking in your scripts:
%   >> error(NOTstring(S))
%
%   NOTstring(S,ARG) the string ARG is inserted into the returned string.
%
%Last modified: 01 Mar 06

if nargin==1, ar = ''; end
rv = [];
if ~isstring(s)
	rv = ['argument ' ar ' should be a string'];
end