function retval = uicheckedmenu (handle)

%UICHECKEDMENU(H) where H is the handle to a uimenu entry, returns true if
%                 the entry is checked, false otherwise
%
%Last modified: 03 Mar 06

if ~strcmp (get (handle, 'type'), 'uimenu')
	error ('handle to uimenu object required');
end
che = get (handle, 'checked');
if strcmp (che, 'on')
	retval = true;
else
	retval = false;
end
